csa_x_process_updates(library call)

NAME
csa_x_process_updates — invoke a calendar application's calendar event handler

SYNOPSIS

#include &<csa/csa.h>
void csa_x_process_updates(
CSA_session_handle cal);

DESCRIPTION

The csa_x_process_updates function checks to see if there have been calendar updates that are of interest to the client. If there have been one or more calendar updates, and the client previously registered a callback handler using csa_register_callback(3) for updates of this type, the callback function is called by csa_x_process_updates.

The cal argument specifies a calendar session handle. The callback function will be invoked only if there have been updates to this calendar. If cal is set to NULL, the callback function will be invoked if there have been updates to any logged on calendars.

RETURN VALUE

The csa_x_process_updates function returns no value.

APPLICATION USAGE

The csa_x_process_updates function is useful for applications that maintain a dynamic representation of calendar information, such as a GUI calendar display. Because the calendar server can simultaneously maintain multiple read/write connections for the same calendar, any data retrieved by a client should be considered immediately out of date. To create the appearance of a dynamic display of calendar data, such an application should call csa_x_process_updates as frequently as necessary from within its main event loop.

One way to do this is to have a timeout handler call csa_x_process_updates at regular intervals. The duration of the timer should be appropriate for the expected user environment. This does not eliminate the risk of the client holding outdated information; it merely gives the application control over how old the information can get.

SEE ALSO

csa/csa.h - csacsa(5), csa_register_callback(3).